import * as __WEBPACK_EXTERNAL_MODULE_react_i18next__ from "react-i18next";
import * as __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__ from "../../schema-component/index.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__util_mjs__ from "./util.mjs";
function createTextSettingsItem(options) {
    const { name, useVisible, title, useTextClick = __WEBPACK_EXTERNAL_MODULE__util_mjs__.useHookDefault } = options;
    return {
        name,
        type: 'item',
        useVisible,
        useComponentProps () {
            const compile = (0, __WEBPACK_EXTERNAL_MODULE__schema_component_index_mjs__.useCompile)();
            const { t } = (0, __WEBPACK_EXTERNAL_MODULE_react_i18next__.useTranslation)();
            const onClick = useTextClick();
            return {
                title: 'function' == typeof title ? title(t) : compile(title),
                onClick
            };
        }
    };
}
export { createTextSettingsItem };
